Object Detection using Template

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables
Public Member Functions | Private Attributes | List of all members
cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator Class Reference
Collaboration diagram for cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator:
[legend]

## Public Member Functions
| ExampleTableCreator ()
void | addRow (String coordinate, double simpleC, double symetryC, int xSymetry, int ySymetry, int allElementC, int hElementC, int vElementC, int otherElementC)
ExampleSet | getDataSet ()

## Private Attributes
final List< Attribute > | attributes = new LinkedList<Attribute>()
MemoryExampleTable | table
final Attribute | COORDINATES = AttributeFactory.createAttribute("Coordinates", Ontology.STRING)
final Attribute | SIMPLE_C = AttributeFactory.createAttribute("simpleC", Ontology.REAL)
final Attribute | SYMETRY_C = AttributeFactory.createAttribute("symetryC", Ontology.REAL)
final Attribute | X_SYMETRY = AttributeFactory.createAttribute("xSymetry", Ontology.INTEGER)
final Attribute | Y_SYMETRY = AttributeFactory.createAttribute("ySymetry", Ontology.INTEGER)
final Attribute | ALL_ELEMENT_C = AttributeFactory.createAttribute("allElementC", Ontology.INTEGER)
final Attribute | H_ELEMENT_C = AttributeFactory.createAttribute("hElementC", Ontology.INTEGER)
final Attribute | V_ELEMENT_C = AttributeFactory.createAttribute("vElementC", Ontology.INTEGER)
final Attribute | OTHER_ELEMENT_C = AttributeFactory.createAttribute("otherElementC", Ontology.INTEGER)

## Detailed Description

Definition at line 13 of file ExampleTableCreator.java.

## Constructor & Destructor Documentation

cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ExampleTableCreator | ( |  | ) |

Definition at line 26 of file ExampleTableCreator.java.

References cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ALL_ELEMENT_C, cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.attributes, cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.COORDINATES, cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.H_ELEMENT_C, cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.OTHER_ELEMENT_C, cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.SIMPLE_C, cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.SYMETRY_C, cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.table, cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.V_ELEMENT_C, cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.X_SYMETRY, and cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.Y_SYMETRY.

## Member Function Documentation

void cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.addRow | ( | String | coordinate,
|  | double | simpleC,
|  | double | symetryC,
|  | int | xSymetry,
|  | int | ySymetry,
|  | int | allElementC,
|  | int | hElementC,
|  | int | vElementC,
|  | int | otherElementC
| ) |  |

Definition at line 39 of file ExampleTableCreator.java.

ExampleSet cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.getDataSet | ( |  | ) |

Definition at line 55 of file ExampleTableCreator.java.

## Member Data Documentation

final Attribute cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ALL_ELEMENT_C = AttributeFactory.createAttribute("allElementC", Ontology.INTEGER)
| private

Definition at line 21 of file ExampleTableCreator.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ExampleTableCreator().

final List<Attribute> cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.attributes = new LinkedList<Attribute>()
| private

Definition at line 14 of file ExampleTableCreator.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ExampleTableCreator().

final Attribute cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.COORDINATES = AttributeFactory.createAttribute("Coordinates", Ontology.STRING)
| private

Definition at line 16 of file ExampleTableCreator.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ExampleTableCreator().

final Attribute cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.H_ELEMENT_C = AttributeFactory.createAttribute("hElementC", Ontology.INTEGER)
| private

Definition at line 22 of file ExampleTableCreator.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ExampleTableCreator().

final Attribute cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.OTHER_ELEMENT_C = AttributeFactory.createAttribute("otherElementC", Ontology.INTEGER)
| private

Definition at line 24 of file ExampleTableCreator.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ExampleTableCreator().

final Attribute cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.SIMPLE_C = AttributeFactory.createAttribute("simpleC", Ontology.REAL)
| private

Definition at line 17 of file ExampleTableCreator.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ExampleTableCreator().

final Attribute cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.SYMETRY_C = AttributeFactory.createAttribute("symetryC", Ontology.REAL)
| private

Definition at line 18 of file ExampleTableCreator.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ExampleTableCreator().

MemoryExampleTable cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.table
| private

Definition at line 15 of file ExampleTableCreator.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ExampleTableCreator().

final Attribute cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.V_ELEMENT_C = AttributeFactory.createAttribute("vElementC", Ontology.INTEGER)
| private

Definition at line 23 of file ExampleTableCreator.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ExampleTableCreator().

final Attribute cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.X_SYMETRY = AttributeFactory.createAttribute("xSymetry", Ontology.INTEGER)
| private

Definition at line 19 of file ExampleTableCreator.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ExampleTableCreator().

final Attribute cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.Y_SYMETRY = AttributeFactory.createAttribute("ySymetry", Ontology.INTEGER)
| private

Definition at line 20 of file ExampleTableCreator.java.

Referenced by cz.vutbr.feec.novak68.imageProcessor.ExampleTableCreator.ExampleTableCreator().

The documentation for this class was generated from the following file:

- src/cz/vutbr/feec/novak68/imageProcessor/ExampleTableCreator.java